Subject: Re: Slowing down
From: andy white <[email-masked]>
To: Kevin Schnitzius <[email-masked]>, cygwin <[email-masked]>
Date: Wed, 11 Oct 2000 10:31:25 +0100

Yes I also found that playing with the paths causes the problem to be less
frequent, however, I have just downloaded cygwin 1.1.4 and installed it on the
test rig and the slow windows do not appear, i am going to have to keep testing
to see if a random one comes up

Andy W...

Kevin Schnitzius wrote:

> I just found the answer to this problem yesterday.  It was driving me crazy
> too.
>
> Bad:
> export PATH=`cygpath -u $DEVSTUDIO\\\bin`:`cygpath -u
> $TOOLS\\\Common\\\MSDev98\\\bin`:`cygpath -u $TOOLS\\\Util`:$PATH
>
> Good:
> export PATH=$S_DEVSTUDIO/bin:$S_TOOLS/Common/MSDev98/bin:$S_TOOLS/Util:$PATH
>
> Where the S_ variables are the forward slash paths.  Moving the cygpath
> calls to other lines did not change the problem.  I had to build the S_
> variables by hand:
> export TOOLS=z:\\tools\\win32
> export S_TOOLS=/z/tools/win32
>
> I'm not sure if this is the same problem.  I am running 1.0 CD version on
> Terminal Server SP5.  The delays seem to occur in random windows.  There are
> usually two delays: one when you press <Enter> after a command, and one
> before the prompt reappears.  Commands themselves do not appear to have any
> delay so it might be bash at fault.  Once the window is opened without the
> delays, I cannot rerun the script and cause the delays.  This only seems to
> happen during rcfile processing.
>
> Today, I cannot recreate the problem.  However, last night, my machine was
> in a state where it happened every time and I was able to track it down to
> the path statement and the cygpath calls in particular.  The machine was not
> rebooted between last night and now.
>
> Kevin
>
> -----Original Message-----
> From:   andy white [mailto:[email-masked]]
> Sent:   Tuesday, October 10, 2000 05:58
> To:     Chad Loder; cygwin
> Subject:        Re: Slowing down
>
>  << File: Card for andy white >> << File: ATT677991.txt >> Thanks for the
> reply
> I compared our cygcheck's, it all looks very similar, however I am using
> NT 4 SR
> My cyg****.dll's are all from mid 1999, I have seen the latest
> cygwin1.dll from aug 2000 on the redhat 'latest' area, but cannot find
> the others! Are you running with a non formal release?
>
> This problem is sending me crazy!!!
>
> Andy W...
>
> Chad Loder wrote:
>
> > I'm running a dual P3-700 box with Windows 2000. I haven't
> > seen any problems like this. Here's the output from my
> > cygcheck:
> >
> > [~] $ cygcheck -s
> >
> > Cygnus Win95/NT Configuration Diagnostics
> > Current System Time: Tue Oct 10 00:40:58 2000
> >
> > WinNT Ver 5.0 build 2195 Service Pack 1
> >
> > Path:   /usr/local/bin
> >         /usr/bin
> >         /usr/bin
> >         /c/WINNT/system32
> >         /c/WINNT
> >         /c/WINNT/System32/Wbem
> >         /c/Program Files/Resource Kit/
> >         /c/r7/tools/jdk1.2.2_006/bin
> >
> > SysDir: C:\WINNT\System32
> > WinDir: C:\WINNT
> >
> > HOME = `/home/chadloder'
> > MAKE_MODE = `unix'
> > PWD = `/home/chadloder'
> > USER = `chadloder'
> >
> > Use `-r' to scan registry
> >
> > a:  fd           N/A    N/A
> > c:  hd  NTFS   19445Mb  69% CP CS UN PA FC
> > d:  cd  CDFS     529Mb 100%    CS UN           QUAKE3
> > e:  net NTFS    3976Mb  65% CP CS UN PA FC     NT4
> > g:  net NTFS   17492Mb  68% CP CS UN PA FC     System
> > j:  net FAT       95Mb  93% CP    UN           ZIP-100
> > m:  net NTFS   17492Mb  68% CP CS UN PA FC     System
> >
> > c:\cygwin\bin  /usr/bin  system  textmode
> > c:\cygwin\lib  /usr/lib  system  textmode
> > c:\cygwin  /        system  textmode
> > C:\temp  /tmp     user    textmode
> > c:    /c       user    textmode
> >
> > Found: c:\cygwin\bin\bash.exe
> > Found: c:\cygwin\bin\cat.exe
> > Found: c:\cygwin\bin\cpp.exe
> > Found: c:\cygwin\bin\find.exe
> > Found: c:\cygwin\bin\gcc.exe
> > Found: c:\cygwin\bin\gdb.exe
> > Found: c:\cygwin\bin\ld.exe
> > Found: c:\cygwin\bin\ls.exe
> > Found: c:\cygwin\bin\make.exe
> > Found: c:\cygwin\bin\sh.exe
> >
> >    83k 2000/06/11 c:\cygwin\bin\cygitcl30.dll
> >    35k 2000/06/11 c:\cygwin\bin\cygitk30.dll
> >   402k 2000/06/11 c:\cygwin\bin\cygtcl80.dll
> >     5k 2000/06/11 c:\cygwin\bin\cygtclpip80.dll
> >    10k 2000/06/11 c:\cygwin\bin\cygtclreg80.dll
> >   639k 2000/06/11 c:\cygwin\bin\cygtk80.dll
> >   586k 2000/08/04 c:\cygwin\bin\cygwin1.dll
> >     Cygwin DLL version info:
> >         dll major: 1001
> >         dll minor: 4
> >         dll epoch: 19
> >         dll bad signal mask: 19005
> >         dll old termios: 5
> >         api major: 0
> >         api minor: 26
> >         shared data: 3
> >         dll identifier: cygwin1
> >         mount registry: 2
> >         cygnus registry name: Cygnus Solutions
> >         cygwin registry name: Cygwin
> >         program options name: Program Options
> >         cygwin mount registry name: mounts v2
> >         build date: Thu Aug 3 20:53:46 EDT 2000
> >         CVS tag: cygwin-1-1-4
> >         shared id: cygwin1S3
> >
> > At 07:27 AM 10/10/2000 +0100, you wrote:
> > >I have upgraded to CYGWIN 1.0 from B18 and have now found that when
> > >starting cygwin windows after a random one starts which runs much
> > >slower than normal. This only happens on dual processor machines.
> > >Has anybody else come accross this event. Any ideas????
> > >I am getting very bored of opening and closing windows all day
> > >looking for the slow one!!!!!!!
> > >
> > >cheers in anticipation!!!..
> > >
> > >
> > >--
> > >Want to unsubscribe from this list?
> > >Send a message to [email-masked]
--
Want to unsubscribe from this list?
Send a message to [email-masked]